function toggle(tipo,campo,tipoRes,campoRes){
	$(document).ready(function(){ 
		$(tipoRes+campoRes).toggle(   
			function(e){ 
				$(tipo+campo).slideUp();
				$(tipo+campo).text('Ocultar');
				//e.preventDefault();
				
			}, 
			function(e){ 
				$(tipo+campo).slideDown();
				//$(tipo+campo).text('Mostrar');
				//e.preventDefault();
				
			}
		);
	  
	}); 
}

function scrollAni(tipo,campo){
	var posicion = $(tipo+campo).offset().top;
	$("html, body").animate({
		scrollTop: posicion
	}, 1000); 
}
$(document).bind('keydown', function(e) {
    if (e.which == 27) {
		ocultar('#', 'modal');
    }
});

function cerrar(){
	location.href='../login';
}

function cerrarVentana(){
	window.close();
}

function recargarPagina(){
	location.reload();
}

function nuevaVentana(enlace){
	window.open(enlace);
}
function ocultarEnTiempo(tipo,campo,tiempo){
	setTimeout(function() {
        $(tipo+campo).fadeOut(500);
    },tiempo);	
}
function mostrarText(tipo,fondo,campo,texto){
	$(tipo+fondo).show(1);
	$(tipo+campo).text(texto);	
}
function mostrarText2(tipo,campo,texto){
	$(tipo+campo).text(texto);	
}
function mostrar(tipo,campo){
	$(tipo+campo).show();
}

function mostrarTiempo(tipo,campo,tiempo){
	$(tipo+campo).show(tiempo);
}

/*function ocultar(tipo,campo){
	$(tipo+campo).hide(3);
	
}*/
function ocultar(tipo,campo){
	setTimeout(function() {
		$(tipo+campo).hide(500);
	},200);
	
}

function mostrarPass(tipo,campo,check){
	if($('#'+check).is(':checked')) {
		$(tipo+campo).attr('type', 'text');
	} else {
		$(tipo+campo).attr('type', 'password');
	}
}

function css(tipo,campo,atributo,estilo){
	 $(tipo+campo).css(atributo, estilo);
}

function dato(url,div,carga,variable,dato)
{	
	$("#"+carga).show(); //activa el aviso de cargando
	$("#"+div+"Error").hide();
	var valores = dato;
	//alert(valores)
	$.ajax({
	type: "POST",
	data:variable+"="+valores,
	url: url,
	success: function(re){
    $("#"+carga).hide(); // apaga aviso
    $("#"+div).show(1);
    $("#"+div).html(re);// Mostrar la respuesta del servidor en el div con el id "respuesta";
	}
	});	
}

function guardar(url,f,div,carga)
{	
	//alert(url,div)
	if(validar(url)==0){
	}else{
	//alert(f)
	$("#"+carga).show(); //activa el aviso de cargando
	$("#"+div+"Error").hide();
	var valores = $("#"+f).serialize();
	//alert(valores)
	$.ajax({
	type: "POST",
	data:valores,
	url: url,
	success: function(re){
    $("#"+carga).hide(); // apaga aviso
    $("#"+div).show(1);
    $("#"+div).html(re);// Mostrar la respuesta del servidor en el div con el id "respuesta";
	}
	});	
	}
}

function boton(formu,div,archivo,carga,boton) {
	if(validar(archivo)==0){
	}else{
		$("#" + carga).show();
		var f = $(this);
		var formData = new FormData(document.getElementById(formu));
		formData.append("dato", "valor");
		var llamada = $.ajax({
			url: archivo,
			type: "post",
			dataType: "html",
			data: formData,
			cache: false,
			contentType: false,
			processData: false
		}).done(function(res) {
			$("#"+carga).hide(); // apaga aviso
    		$("#"+div).show(1);
			$("#"+div).html(res)
		})
		
	}
}


function validar(url){
	
	if(url=='dep_crear_grupo1.php'){	
		
		if($("#nom_cli").val().length < 1 ){
			$(".nom_cli").show(1);
			$(".nom_cli").text('Por favor digite el grupo empresarial');
			setTimeout(function() {
				$(".nom_cli").fadeOut(1500);
			},3000);
			crear_grupo.nom_cli.focus();
			return false;
		}	
			
	}
	

}